Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.table
Class TableComponentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.component.ComponentTag
              com.tonbeller.wcf.table.TableComponentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class TableComponentTag
extends ComponentTag

Created on 15.11.2002

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TableComponentTag()`

Method Summary
`Component` | `createComponent(RequestContext context)` creates the component.
`protected TableComponent` | `createTable(java.lang.String tableId, TableModel tm)`
`java.lang.String` | `getModel()`
`boolean` | `isColHeaders()`
`void` | `setClosable(boolean b)`
`void` | `setColHeaders(boolean colHeaders)`
`void` | `setEditable(boolean editable)`
`void` | `setEditForm(java.lang.String string)`
`void` | `setModel(java.lang.String model)`
`void` | `setPagable(boolean b)`
`void` | `setPagesize(int i)`
`void` | `setSelmode(java.lang.String string)`
`void` | `setSortable(boolean b)`

Methods inherited from class com.tonbeller.wcf.component.ComponentTag
`doEndTag, doStartTag, getComponent, isObjectCreated, setRole, setValidate, setVisible`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableComponentTag

    public TableComponentTag()

Method Detail

### createComponent

    public Component createComponent(RequestContext context)
                              throws javax.servlet.jsp.JspException

  Description copied from class: `ComponentTag`
  creates the component. Called whenever the object does not exist in the session

  Specified by:
    `createComponent` in class `ComponentTag`
  Returns:
    the object that will be placed into the session
  Throws:
    `javax.servlet.jsp.JspException`
  See Also:
    `com.tonbeller.wcf.tags.UiComponentTag#createComponent()`

### createTable

    protected TableComponent createTable(java.lang.String tableId,
                                         TableModel tm)

### setModel

    public void setModel(java.lang.String model)

### setSelmode

    public void setSelmode(java.lang.String string)

### setClosable

    public void setClosable(boolean b)

### setPagable

    public void setPagable(boolean b)

### setSortable

    public void setSortable(boolean b)

### setPagesize

    public void setPagesize(int i)

### getModel

    public java.lang.String getModel()

### setEditForm

    public void setEditForm(java.lang.String string)

### setEditable

    public void setEditable(boolean editable)

### isColHeaders

    public boolean isColHeaders()

### setColHeaders

    public void setColHeaders(boolean colHeaders)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD